Name:           hybris-usb
Version:        4.1.0
Release:        1%{?dist}
Summary:        Hybris USB Tethering
License:        WTFPL
URL:            https://github.com/mickybart/gnulinux_support
Source0:        https://git.erikinkinen.fi/fedora-hybris/%{name}/archive/master.tar.gz
BuildRequires:  systemd
Requires:       dhcp-server
Requires:       net-tools
BuildArch:      noarch

%description
Hybris USB Tethering

%prep
%setup -q -n %{name}

%build

%install
install -d %{buildroot}%{_bindir}
install -m 755 usb-tethering %{buildroot}%{_bindir}/

install -d %{buildroot}%{_unitdir}
install -m 644 usb-tethering.service %{buildroot}%{_unitdir}/usb-tethering.service

install -d %{buildroot}%{_tmpfilesdir}
install -m 644 tmpfiles.d.hybris-usb.conf %{buildroot}%{_tmpfilesdir}/hybris-usb.conf

# dhcpd configuration
install -d %{buildroot}%{_sysconfdir}/hybris-usb/
install -m 644 dhcpd.conf %{buildroot}%{_sysconfdir}/hybris-usb/

%files
%dir %{_sysconfdir}/hybris-usb
%{_bindir}/usb-tethering
%{_unitdir}/usb-tethering.service
%{_tmpfilesdir}/hybris-usb.conf
%{_sysconfdir}/hybris-usb/dhcpd.conf

%changelog
* Sat Jun 17 2023 Erik Inkinen <erik.inkinen@erikinkinen.fi> - 4.1.0-1
- Initial packaging
